body {
  background-color: red;
}

.center {
  margin: 0;
  position: absolute;
  text-align: center;
  top: 50%;
  bottom: 50%;
  left: 50%;
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.container {
  height: 300px;
  position: relative;
}

.text-rainbow-animation {
  background-image: 
    linear-gradient(to right, red,orange,yellow,green,blue,indigo,violet, red); 
  -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;  
  animation: rainbow-animation 100s linear infinite;
}

@keyframes rainbow-animation {
    to {
        background-position: 4500vh;
    }
}
